Boxcar
Boxcar 1.1
Your rating: Now say why...

(4) 3.5

Instant push notifications for social networks and more.   Free
Add to my Watch List
Email me when discounted
Boxcar ... Instant push notifications for your social networks, email accounts, RSS feeds and more.

Receive super fast notifications when someone comments, updates or messages you.

Over 700 million notifications delivered, over a thousand app store reviews. Featured in TechCrunch, MacWorld, Lifehacker.
What's New
Version 1.1:

Bug fixes

  • Dismiss the inbox when clicking outside of it.
  • Ensure we're using SSL.
  • Fix pasting into text fields in preferences.
  • Fix tabbing in preferences.
  • Auto-connect when hitting 'ok' in preferences.
Requirements
  • Intel/PPC
  • Mac OS X 10.5 or later
  • Boxcar account, signup here.



MacUpdate - Boxcar




  • Growl
    +2

  • HardwareGrowle...
    +2

  • OmniGrowl
    +1

  • GrowlMail
    +1

  • Boxcar Growl P...
    +1

  • clik
    +1
Boxcar User Discussion (Write a Review)
ver. 1.x:
(4)
Your rating: Now say why...
Overall:
(4)

sort: smiles | time
burypromote

+89
Elegraphy commented on 10 Oct 2011
This version does not work on PPC. I have an PowerBook running Leopard 10.5.8 and I cannot install this version.

MU: Please fix the system requirements on this page.

MACUPDATE: Never mind my other "double posts" on Troubleshooting section, the new UI for MU is really confusing and easy to miss those tabs!!!!
[Version 1.1]

1 Reply

burypromote

+89
Elegraphy replied on 10 Oct 2011
Minimum system requirement for Boxcar Mac

http://help.boxcar.io/discussions/problems/1314-minimum-system-requirement-for-boxcar-mac
burypromote
+1

+8

Zerroeffect reviewed on 02 Apr 2011
Nice application. Easy to use and informative. I'm not much of a social presence online, so I'm not using much of it's power but, for what I have: email, facebook, and Google Voice, this is really quite nice.
[Version 1.1]


burypromote

+89
Elegraphy had trouble on 10 Oct 2011
This version does not work on PPC. I have an PowerBook running Leopard 10.5.8 and I cannot install this version.

MACUPDATE: Please fix the system requirements on this page, AND please don't delete this comment!!!! This is my second one.
[Version 1.1]


burypromote

+89
Elegraphy had trouble on 06 Oct 2011
Boxcar is NOT PPC compatible! I cannot install it on my PowerBook. Please change the requirement.
[Version 1.1]



npasher rated on 02 Apr 2011

[Version 1.1]



-1277

Libertyforall1776 rated on 01 Apr 2011

[Version 1.1]



Kubol rated on 01 Apr 2011

[Version 1.0]



-1277

Libertyforall1776 rated on 31 Mar 2011

[Version 1.0]


Downloads:1,376
Version Downloads:1,186
Type:Internet : Internet Utilities
License:Free
Date:01 Apr 2011
Platform:PPC 64 / PPC 32 / Intel 64 / Intel 32 / OS X
Price:Free0.00
Overall (Version 1.x):
Features:
Ease of Use:
Value:
Stability:
Displaying 1-2 of 2
Displaying 1-2 of 2
Displaying 1-4 of 4
-
-
-
Please login or create a new
MacUpdate Member account
to use this feature
Watch Lists are available to
MacUpdate Desktop Members
Upgrade Now
Install with MacUpdate Desktop.
Save time moving files & cleaning
up space wasting archives.
Boxcar ... Instant push notifications for your social networks, email accounts, RSS feeds and more.

Receive super fast notifications when someone comments, updates or messages you.

Over 700 million notifications delivered, over a thousand app store reviews. Featured in TechCrunch, MacWorld, Lifehacker.


- -